﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
//************* Add me ****************
using System.ServiceModel;
//******************************

namespace Demo
{
    static class Program
    {
        //************* Add me ****************
        static ServiceHost myserviceHost = null;
        //******************************

        [STAThread]
        static void Main()
        {
            try
            {
                //************* Add me ****************
                INFOMATO.WCF.WindowsServices.EnableNetTcpPortSharingServices(); //make sure port sharing Windows service is enable
                INFOMATO.WCF.NetTcpService myserviceHost = new INFOMATO.WCF.NetTcpService();
                myserviceHost.Open(8001);
                Application.ApplicationExit += new EventHandler(Application_ApplicationExit);
                //******************************

                Application.EnableVisualStyles();
                Application.SetCompatibleTextRenderingDefault(false);
                Application.Run(new Form1());

            }
            catch (Exception ex)
            {
                string applicationName = System.IO.Path.GetFileName(Application.ExecutablePath);
                MessageBox.Show(String.Format("{0} encountered an issue trying to open WCF service. Error:{1}", applicationName, ex.Message));
                Application.Exit();
            }
        }
        //************* Add me ****************
        static void Application_ApplicationExit(object sender, EventArgs e)
        {
            if (myserviceHost != null) myserviceHost.Close();
        }
        //******************************
    }
}
